Bug 103988 - Intermittent piglit failures with shader cache enabled
Summary: Intermittent piglit failures with shader cache enabled
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Jordan Justen
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 04:17 UTC by Mark Janes
Modified: 2017-12-13 19:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2017-11-30 04:17:27 UTC
Running piglit a second time with all shaders cached, several tests fail intermittently:

piglit.spec.arb_shading_language_420pack.active sampler conflict
Unexpected GL error: GL_NO_ERROR 0x0
(Error at ../tests/spec/arb_shading_language_420pack/execution/active-sampler-conflict.c:148)
Expected GL error: GL_INVALID_OPERATION 0x502

piglit.spec.arb_tessellation_shader.execution.tcs-input-read-array-interface
Probe color at (0,0)
  Expected: 0 255 0 255
  Observed: 0 0 0 0
Test failure on line 70

piglit.spec.glsl-1_50.execution.geometry.clip-distance-vs-gs-out
Probe color at (0,0)
  Expected: 0 255 0 255
  Observed: 255 0 0 255
Test failure on line 53
Comment 1 Mark Janes 2017-12-05 17:03:24 UTC
Some tests were fixed by:

fc033742d2128ccfda6bf4c92254f632b9445b0c
Author:     Jordan Justen <jordan.l.justen@intel.com>
i965: Serialize nir later in the linking process

However, the following test continues to fail intermittently with shader cache enabled:

piglit.spec.arb_shading_language_420pack.active sampler conflict
Comment 2 Jordan Justen 2017-12-13 19:21:00 UTC
I think the latest jenkins results look clean following:

commit dc07bb5fd188a4352ec90edb6c6107ae1ce11b50
Author: Jordan Justen <jordan.l.justen@intel.com>
Date:   Tue Dec 12 11:44:01 2017 -0800

    program: Don't reset SamplersValidated when restoring from shader cache


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.